import propTypes from 'prop-types';
import React from 'react';
import { TouchableOpacity } from 'react-native';
import { defaultSize, defaultVariant } from '../../../constant/theme';
import { Text } from '../../Atoms';
import styles from './button.style';

const ButtonText = ({ title, textSize, textVariant, style, onPress }) => {
  return (
    <TouchableOpacity onPress={onPress} style={[styles.buttonText, style]}>
      <Text text={title} size={textSize} variant={textVariant} />
    </TouchableOpacity>
  );
};

ButtonText.propTypes = {
  title: propTypes.oneOfType([propTypes.string, propTypes.number]).isRequired,
  size: propTypes.oneOf(defaultSize),
  variant: propTypes.oneOf(defaultVariant),
  onPress: propTypes.func.isRequired,
};

ButtonText.defaultProps = {
  title: 'Title',
  textSize: 'medium',
  textVariant: 'bold',
  onPress: () => {},
};

export default React.memo(ButtonText);
