import { keys } from 'lodash';
import { Images } from './assets/images';
import { lottie } from './assets/lottie';
import { Icon, LottieView, Text } from './Components/Atoms';
import SafeAreaViewWrapper from './Components/SafeAreaViewWrapper';

export * from './Components/Molecules';
export * from './Components/Organisms';
export * from './constant/theme';
export { Text, Icon, LottieView, SafeAreaViewWrapper };
export { mapPropsToStyleNames };

// assets-images
export { brand, stocks, bottomSplash, bottomBg1 };
// assets-lottie
export { loading };

const { brand, stocks, bottomSplash, bottomBg1 } = Images;

const { loading } = lottie;

const mapPropsToStyleNames = (styleNames, props) => keys(props);
